Bug 1378054 - [abrt] gnome-shell: js::jit::AutoFlushCache::update(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: js::jit::AutoFlushCache::update(): gnome-shell killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: armv7l
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0e09beb9a742b742ba4132fdd20...
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-09-21 12:16 UTC by Peter Robinson
Modified: 2016-09-25 20:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-25 20:55:59 UTC


Attachments (Terms of Use)
File: backtrace (52.09 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: cgroup (229 bytes, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: core_backtrace (9.97 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: dso_list (19.63 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: environ (1.13 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: maps (59.34 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: mountinfo (3.00 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: open_fds (1.47 KB, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: proc_pid_status (953 bytes, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details
File: var_log_messages (956 bytes, text/plain)
2016-09-21 12:16 UTC, Peter Robinson
no flags Details

Description Peter Robinson 2016-09-21 12:16:26 UTC
Description of problem:
Wayland/GDM crash on Raspberry Pi 3

Version-Release number of selected component:
gnome-shell-3.21.92-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        gnome-shell --mode=initial-setup
crash_function: js::jit::AutoFlushCache::update
executable:     /usr/bin/gnome-shell
global_pid:     1127
kernel:         4.8.0-0.rc7.git0.1.fc25.armv7hl
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            990

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::jit::AutoFlushCache::update at /usr/src/debug/mozjs-24.2.0/js/src/jit/arm/Assembler-arm.cpp:2745
 #1 js::jit::AutoFlushCache::updateTop at /usr/src/debug/mozjs-24.2.0/js/src/jit/Ion.cpp:2342
 #2 js::jit::Assembler::executableCopy at /usr/src/debug/mozjs-24.2.0/js/src/jit/arm/Assembler-arm.cpp:600
 #3 js::jit::IonCode::copyFrom at /usr/src/debug/mozjs-24.2.0/js/src/jit/Ion.cpp:437
 #4 js::jit::Linker::newCode at /usr/src/debug/mozjs-24.2.0/js/src/jit/IonLinker.h:59
 #6 js::jit::IonCompartment::generateStringConcatStub at /usr/src/debug/mozjs-24.2.0/js/src/jit/CodeGenerator.cpp:4060
 #7 js::jit::IonCompartment::ensureIonStubsExist at /usr/src/debug/mozjs-24.2.0/js/src/jit/Ion.cpp:324
 #8 js::jit::IonCompile at /usr/src/debug/mozjs-24.2.0/js/src/jit/Ion.cpp:1385
 #9 js::jit::Compile at /usr/src/debug/mozjs-24.2.0/js/src/jit/Ion.cpp:1593
 #10 js::jit::CompileFunctionForBaseline at /usr/src/debug/mozjs-24.2.0/js/src/jit/Ion.cpp:1745

Comment 1 Peter Robinson 2016-09-21 12:16:32 UTC
Created attachment 1203251 [details]
File: backtrace

Comment 2 Peter Robinson 2016-09-21 12:16:34 UTC
Created attachment 1203252 [details]
File: cgroup

Comment 3 Peter Robinson 2016-09-21 12:16:35 UTC
Created attachment 1203253 [details]
File: core_backtrace

Comment 4 Peter Robinson 2016-09-21 12:16:37 UTC
Created attachment 1203254 [details]
File: dso_list

Comment 5 Peter Robinson 2016-09-21 12:16:38 UTC
Created attachment 1203255 [details]
File: environ

Comment 6 Peter Robinson 2016-09-21 12:16:39 UTC
Created attachment 1203256 [details]
File: exploitable

Comment 7 Peter Robinson 2016-09-21 12:16:41 UTC
Created attachment 1203257 [details]
File: limits

Comment 8 Peter Robinson 2016-09-21 12:16:43 UTC
Created attachment 1203258 [details]
File: maps

Comment 9 Peter Robinson 2016-09-21 12:16:44 UTC
Created attachment 1203260 [details]
File: mountinfo

Comment 10 Peter Robinson 2016-09-21 12:16:45 UTC
Created attachment 1203261 [details]
File: namespaces

Comment 11 Peter Robinson 2016-09-21 12:16:47 UTC
Created attachment 1203262 [details]
File: open_fds

Comment 12 Peter Robinson 2016-09-21 12:16:48 UTC
Created attachment 1203263 [details]
File: proc_pid_status

Comment 13 Peter Robinson 2016-09-21 12:16:50 UTC
Created attachment 1203264 [details]
File: var_log_messages

Comment 14 Fedora Update System 2016-09-22 09:55:13 UTC
mozjs24-24.2.0-11.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-57af6a4295

Comment 15 Fedora Update System 2016-09-25 20:55:59 UTC
mozjs24-24.2.0-11.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.